<?php
/**
 * $Horde: rakim/admin.php,v 1.10 2005/01/03 14:35:24 jan Exp $
 *
 * Copyright 2003-2005 Chuck Hagenbuch <chuck@horde.org>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

@define('RAKIM_BASE', dirname(__FILE__));
require_once RAKIM_BASE . '/lib/base.php';

if (!Auth::isAdmin('rakim:admin')) {
    Horde::authenticationFailureRedirect();
}

$title = _("Administration");
require RAKIM_TEMPLATES . '/common-header.inc';
require RAKIM_TEMPLATES . '/menu.inc';

?>
<div class="control">
<ul>
    <li><a href="<?php echo Horde::applicationUrl('admin/addOrganization.php') ?>">add an organization</a></li>
    <li><a href="<?php echo Horde::applicationUrl('admin/editOrganization.php') ?>">edit an organization</a></li>
</ul>

<ul>
    <li><a href="<?php echo Horde::applicationUrl('admin/addScript.php') ?>">add a shared script</a></li>
    <li><a href="<?php echo Horde::applicationUrl('admin/editScript.php') ?>">edit/delete a shared script</a></li>
</ul>
</div>
<?php

require $registry->get('templates', 'horde') . '/common-footer.inc';
