<?php
/**
 * $Horde: rakim/guest/messages.php,v 1.11 2004/11/22 20:04:36 chuck Exp $
 */

define('RAKIM_BASE', dirname(__FILE__) . '/..');
require_once RAKIM_BASE . '/lib/base.php';

function showBuffer()
{
    global $db;

    $getBufferQuery = "SELECT * FROM rakim_messages
            WHERE guest_id = " . $_SESSION['rakim']['guest_id'] . " AND message_time >= '" . $_SESSION['rakim']['login_time'] . "'
            ORDER BY message_time DESC";

    Horde::logMessage($getBufferQuery, __FILE__, __LINE__, PEAR_LOG_DEBUG);

    $currBuffer = $db->query($getBufferQuery);
    if (is_a($currBuffer, 'PEAR_Error')) {
        Horde::logMessage($currBuffer, __FILE__, __LINE__, PEAR_LOG_ERR);
    } else {
        $i = 1;
        while ($row = $currBuffer->fetchRow(DB_FETCHMODE_ASSOC)) {
            $style = '';
            if ($row['user_uid'] !== 'NULL') {
                $class = 'other';
                $style = ' style="color:' . Rakim::getTechColor($row['user_uid']) . ';"';
            } else {
                $class = 'mine';
            }

            echo "<div class=\"$class\"$style><b>" . htmlspecialchars(empty($row['message_sender']) ? $row['user_uid'] : $row['message_sender']) . ': </b>';
            if ($row['message_push'] == 't') {
                echo '<a href="' . $row['message_text'] . '" target="_blank">' . htmlspecialchars($row['message_text']) . '</a>';
                if ($i == $_SESSION['rakim']['delta']) {
                    echo "<script language=\"JavaScript\">window.open('" . addslashes($row['message_text']) . "');</script>";
                }
            } else {
                echo htmlspecialchars($row['message_text']);
            }

            if ($row['message_bounce'] == 't') {
                ?>
                <script language="JavaScript" type="text/javascript">
                window.setTimeout("top.location.href = '<?php echo Horde::applicationUrl('guest/logout.php') ?>';", 0);
                </script>
                <?php
            }
            echo '</div>';

            if ($i == $_SESSION['rakim']['delta']) {
                echo '<hr />';
            }
            $i++;
        }
    }
}

require RAKIM_TEMPLATES . '/common-header.inc';
require RAKIM_TEMPLATES . '/menu.inc';
if (empty($_SESSION['rakim'])) {
    // Session has timed out.
    echo '<script language="Javascript" type="text/javascript">parent.location = \'' . Horde::applicationUrl('guest/') . '\';</script>';
} elseif ($_SESSION['rakim']['guest_status'] == 'active') {
    showBuffer();
} elseif (!empty($_SESSION['rakim']['shownWarning']) &&
          $_SESSION['rakim']['guest_status'] == 'waiting') {
    echo '<table width="100%"><tr><td class="header">' . _("You have waited a long time.") . '</td></tr><tr><td class="item">' . sprintf(_("You may want to try our %semail support service</a> or you may continue to wait."), Horde::link(Horde::applicationUrl('guest/email.php'), _("email reference service"), null, '_top')) . '</td></tr></table>';
} else {
    echo '<table width="100%"><tr><td class="header">' . _("Please wait; the next available support tech will answer your call.") . '</td></tr></table>';
}

require $registry->get('templates', 'horde') . '/common-footer.inc';
