<?php if ($browser->isBrowser('mozilla') && $browser->getMajor() == 4): ?>
<script language="JavaScript" type="text/javascript">
<!--
window.alert('<?php echo addslashes(_("You are using a 4.x version of Netscape, which does not support\nthe technologies that this application needs very well.\nWe recommend you use a newer browser if at all possible.")) ?>');
// -->
</script>
<?php endif; ?>
<script language="JavaScript" type="text/javascript">
function checkLoginForm()
{
<?php if ($conf['authentication']['guest'] == 'external' && !Auth::isAuthenticated('rakim_guests')): ?>
    if (document.login.horde_user.value == "") {
        alert("<?php echo addslashes(_("Please provide your username and password")) ?>");
        document.login.horde_user.focus();
        return false;
    } else if (document.login.horde_pass.value == "") {
        alert("<?php echo addslashes(_("Please provide your username and password")) ?>");
        document.login.horde_pass.focus();
        return false;
    } else {
        document.login.guestLogin.disabled = true;
        document.login.submit();
        return true;
    }
<?php endif; ?>
}
</script>
<script language="JavaScript1.2" type="text/javascript">
<!--
function enter_key_trap(e)
{
    var keyPressed;

    if (document.layers) {
        keyPressed = String.fromCharCode(e.which);
    } else if (document.all) {
        keyPressed = String.fromCharCode(window.event.keyCode);
    } else if (document.getElementById) {
        keyPressed = String.fromCharCode(e.keyCode);
    }

    if ((keyPressed == "\r" || keyPressed == "\n") && (checkLoginForm())) {
        document.login.submit();
    }
}

// Setup the enter keytrap code
if (window.document.captureEvents != null) {
    window.document.captureEvents(Event.KEYPRESS);
    window.document.onkeypress = enter_key_trap;
}
// -->
</script>

<form name="login" action="<?php echo Horde::selfURL() ?>" method="post">
<input type="hidden" name="entry_page" value="<?php echo htmlspecialchars(Util::getFormData('entry_page', _("No referring page"))) ?>" />
<input type="hidden" name="loginTry" value="1" />

<table border="0" align="center" width="100%" cellpadding="2" cellspacing="0">
<tr>
  <td align="center" colspan="2" class="header">
    <?php printf(_("Welcome to %s"), $registry->get('name')); ?>
  </td>
</tr>
</table>

<?php $notification->notify(array('listeners' => 'status')) ?>

<table border="0" align="center" width="100%" cellpadding="2" cellspacing="0">

<?php if ($conf['authentication']['guest'] == 'external' && !Auth::isAuthenticated('rakim_guests')): ?>
<?php if (!empty($reason)): ?>
<tr>
  <td align="center" colspan="2" class="light"><table border="0" width="300"><tr><td><?php echo $reason . ' ' . sprintf(_("If you are having problems with your account, please %ssend your question via our email interface.</a>"), Horde::link(Horde::applicationUrl('guest/email.php'), _("Email Interface"))) ?></td></tr></table></td>
</tr>
<?php endif; ?>
<tr>
  <td align="right" class="light"><b><?php echo _("Username") ?></b>&nbsp;</td>
  <td><input class="fixed" type="text" name="horde_user" value="<?php echo Util::getFormData('horde_user') ?>" /></td>
</tr>
<tr>
  <td align="right" class="light"><b><?php echo _("Password") ?></b>&nbsp;</td>
  <td><input class="fixed" type="password" name="horde_pass" value="" /></td>
</tr>

<?php if ($conf['signup']['allow'] && $auth->hasCapability('add')): ?>
<tr>
  <td></td>
  <td class="light"><?php echo Horde::link(Util::addParameter(Horde::url($registry->get('webroot', 'horde') . '/signup.php'), 'url', Util::getFormData('url')), _("Sign up if not registered")) . _("Sign up if not registered") ?></a></td>
</tr>
<?php endif; ?>

<tr>
  <td>&nbsp;</td>
</tr>
<?php endif; ?>

<tr>
  <td class="light" align="right"><b><?php echo _("Your name:") ?></b>&nbsp;</td>
  <td><input type="text" name="guest_name_entered" value="<?php echo htmlspecialchars(Util::getFormData('guest_name_entered')) ?>" /></td>
</tr>
<tr>
  <td class="light" valign="top" align="right"><b><?php echo _("Your email address:&nbsp;<br />(if you want a transcript<br />sent to you)") ?></b></td>
  <td valign="top"><input type="text" name="guest_email_entered"  value="<?php echo htmlspecialchars(Util::getFormData('guest_email_entered')) ?>" /></td>
</tr>

<?php if ($conf['guest']['log_type'] == 'chat' || $conf['guest']['log_type'] == 'both'): ?>
<tr>
  <td class="light" valign="top" align="right"><b><?php echo _("You are:") ?>&nbsp;</b></td>
  <td valign="top"><select name="guest_type"><?php $sel = Util::getFormData('guest_type'); foreach ($conf['guest']['user_types'] as $type) echo '<option value="' . htmlspecialchars($type) . '"' . ($sel == $type ? ' selected="selected"' : '') . '>' . htmlspecialchars($type) . '</option>'; ?></select></td>
</tr>
<?php endif; ?>

<?php $orgs = $rakim->getOrganizations(); if (!count($orgs) || $conf['guest']['log_organization'] == 'none' || $conf['guest']['log_organization'] == 'email'): ?>
<input type="hidden" name="guest_organization_entered" value="1" />
<?php elseif (count($orgs) == 1): ?>
<input type="hidden" name="guest_organization_entered" value="<?php echo (int)key($orgs) ?>" />
<?php else: ?>
<tr>
  <td class="light" align="right"><b><?php echo _("Organization:") ?></b>&nbsp;</td>
  <td>
    <select name="guest_organization_entered">
  <?php $sel = Util::getFormData('guest_organization_entered'); foreach ($orgs as $id => $name): ?>
      <option value="<?php echo (int)$id ?>"<?php if ($sel == $id) echo ' selected="selected"' ?>><?php echo htmlspecialchars($name) ?></option>
  <?php endforeach; ?>
    </select>
  </td>
</tr>
<?php endif; ?>

<?php if ($conf['guest']['log_category'] == 'chat' || $conf['guest']['log_category'] == 'both'): ?>
<tr>
  <td class="light" valign="top" align="right"><b><?php echo _("What kind of question is this?") ?>&nbsp;</b></td>
  <td valign="top"><select name="question_category"><?php $sel = Util::getFormData('question_category'); foreach ($conf['guest']['question_categories'] as $category) echo '<option value="' . htmlspecialchars($category) . '"' . ($sel == $category ? ' selected="selected"' : '') . '>' . htmlspecialchars($category) . '</option>'; ?></select></td>
</tr>
<?php endif; ?>

<tr>
  <td>&nbsp;</td>
</tr>

<tr>
  <td valign="top" width="50%" align="right" class="light">
    <?php echo _("<b>Enter your inital question.</b><br />You will not be able to type in<br />additional information until<br />your call is answered.") ?>
  </td>
  <td valign="top" width="50%">
    <textarea name="guestQuestion" cols="40" rows="5"></textarea>
  </td>
</tr>
<tr>
  <td></td>
  <td>
    <input type="submit" class="button" name="guestLogin" value="<?php echo _("Log in") ?>" onclick="return checkLoginForm();" />
  </td>
</tr>
<table>
</form>

<script language="JavaScript" type="text/javascript">
<!--
if (document.login.horde_user && document.login.horde_user.value == "") {
    document.login.horde_user.focus();
} else if (document.login.horde_pass) {
    document.login.horde_pass.focus();
} else {
    document.login.guest_name_entered.focus();
}
// -->
</script>
