<?php
/**
 * $Horde: rakim/tools.php,v 1.13 2004/12/29 17:54:28 chuck Exp $
 */

@define('RAKIM_BASE', dirname(__FILE__));
require_once RAKIM_BASE . '/lib/base.php';

if (Util::getPost('scripts')) {
    $script = explode(':', Util::getPost('scripts'));
    $id = $script[0];
    if (Util::getPost('deleteScript')) {
        $deleteScriptQuery = "DELETE FROM rakim_canned_messages WHERE canned_message_id = " . (int)$id . " AND user_uid = " . $db->quote(Auth::getAuth());

        Horde::logMessage($deleteScriptQuery, __FILE__, __LINE__, PEAR_LOG_DEBUG);

        $result = $db->query($deleteScriptQuery);
        if (is_a($result, 'PEAR_Error')) {
            Horde::logMessage($result, __FILE__, __LINE__, PEAR_LOG_ERR);
        }
    } elseif (Util::getPost('editScript')) {
        header('Location: ' . Horde::applicationUrl('responses.php?canned_message_id=' . $id, true));
        exit;
    }
}

Horde::addScriptFile('tools.js');
require RAKIM_TEMPLATES . '/common-header.inc';

if ($registry->hasMethod('bookmarks/list')) {
    $bookmarks = $registry->call('bookmarks/list');
?>
<form name="bookmark" action="tools.php" method="post">
<?php Util::pformInput() ?>
<table>
<tr valign="top">
    <td>
    <select name="bookmarks" onchange="handleBookmark(0);">
        <option value=""><?php echo _("Bookmarks") ?></option>
		<option value="">-------</option>
        <?php
if (!is_a($bookmarks, 'PEAR_Error')) {
    foreach ($bookmarks as $bookmark) {
        echo '<option value="' . htmlspecialchars($bookmark['url']) . '">';
        if (!empty($bookmark['title'])) {
            echo htmlspecialchars(substr($bookmark['title'], 0, 40));
        } else {
            echo htmlspecialchars(substr($bookmark['url'], 0, 40));
        }
        echo '</option>';
    }
}
        ?>
    </select>
    </td>
</tr>
</table>
</form>
<?php } ?>

<form name="script" action="tools.php" method="post">
<?php Util::pformInput() ?>
<table>
<tr valign="top">
    <td>
    <select name="scripts" onchange="fillPatronMsg();">
        <option value=""><?php echo _("Canned Messages") ?></option>
		<option value=""><?php echo _("Add Message") ?></option>
		<option value="">-------</option>
        <?php
$getScriptsQuery = 'SELECT * FROM rakim_canned_messages
        WHERE user_uid = ' . $db->quote(Auth::getAuth()) . '
        ORDER BY canned_message_title';

$result = $db->query($getScriptsQuery);
if (!is_a($result, 'PEAR_Error')) {
    while ($row = $result->fetchRow(DB_FETCHMODE_ASSOC)) {
        echo '<option value="' . (int)$row['canned_message_id'] . ':' . htmlspecialchars($row['canned_message_text']) . '">';
        if (empty($row['canned_message_title'])) {
            echo _("Untitled");
        } else {
            echo $row['canned_message_title'];
        }
        echo '</option>';
    }
} else {
    Horde::logMessage($result, __FILE__, __LINE__, PEAR_LOG_ERR);
}
        ?>
    </select>
    </td>
    <td><input class="button" type="submit" name="deleteScript" value="<?php echo _("Delete") ?>" onclick="return window.confirm('<?php echo addslashes(_("Really delete this canned response?")) ?>');"></td>
    <td><input class="button" type="submit" name="editScript" value="<?php echo _("Edit") ?>"></td>
</tr>
</table>
</form>

<form name="shared" action="tools.php" method="post">
<?php Util::pformInput() ?>
<table>
<tr valign="top">
    <td>
    <select name="scripts" onchange="fillSharedMsg();">
        <option value=""><?php echo _("Shared Messages") ?></option>
        <?php
$getScriptsQuery = 'SELECT * FROM rakim_canned_messages
        WHERE user_uid = \'0\' ORDER BY canned_message_title';

$result = $db->query($getScriptsQuery);
if (!is_a($result, 'PEAR_Error')) {
    while ($row = $result->fetchRow(DB_FETCHMODE_ASSOC)) {
        echo '<option value="' . (int)$row['canned_message_id'] . ':' . htmlspecialchars($row['canned_message_text']) . '">';
        if (empty($row['canned_message_title'])) {
            echo _("Untitled");
        } else {
            echo $row['canned_message_title'];
        }
        echo '</option>';
    }
} else {
    Horde::logMessage($result, __FILE__, __LINE__, PEAR_LOG_ERR);
}
        ?>
    </select>
    </td>
</tr>
</table>
</form>

<?php

require $registry->get('templates', 'horde') . '/common-footer.inc';
