<?php
/**
 * $Horde: rakim/input.php,v 1.14 2004/10/19 00:46:03 chuck Exp $
 */

define('RAKIM_BASE', dirname(__FILE__));
require_once RAKIM_BASE . '/lib/base.php';

if (Util::getGet('guestNumber')) {
    $_SESSION['rakim']['guestNumber'] = Util::getGet('guestNumber');
}
if (empty($_SESSION['rakim']['guestNumber']) ||
    empty($_SESSION['rakim']['guest_ids'][$_SESSION['rakim']['guestNumber']])) {
    header('Location: ' . Horde::applicationUrl('techInput.php', true));
    exit;
}

$notification->push('document.sendMsg.msg2send.focus()', 'javascript');
require RAKIM_TEMPLATES . '/common-header.inc';

$msg2send = trim(Util::getPost('msg2send'));
if ($msg2send) {
    if (Util::getPost('pushURL')) {
        $push = 't';

        if (substr($msg2send, 0, 7) != "http://") {
            $msg2send = "http://" . $msg2send;
        }
    } else {
        $push = "f";
    }
    sendGuestMessage($msg2send, $_SESSION['rakim']['guest_ids'][$_SESSION['rakim']['guestNumber']], $push);
    ?>
    <script language="JavaScript" type="text/javascript">
    window.setTimeout("top.rakim_monitor.location.reload(true)", 0);
    </script>
    <?php
}

?>
<form name="sendMsg" action="input.php" method="post">
<?php Util::pformInput() ?>
<table border="0" cellpadding="2">
<tr>
  <td><input type="text" name="msg2send" size="35"></td>
  <td><input type="submit" class="button" name="sendMsg" value="<?php echo _("Send") ?> "></td>
  <td><input type="submit" class="button" name="pushURL" value="<?php echo _("Push URL") ?>"></td>
  <td><input type="reset" class="button" name="clear" value="<?php echo _("Clear") ?>"></td>
</tr>
<tr valign="top">
  <td colspan="4" align="right">
    <input type="button" class="button" onclick="window.location = '<?php echo Horde::applicationUrl('refer.php') ?>';" value="<?php echo _("Refer/Invite") ?>" />
    <input type="button" class="button" onclick="if (window.confirm('<?php echo addslashes(_("Are you sure you want to leave this session? If you are the only active tech, it will log the guest out as well.")) ?>')) window.location = '<?php echo Horde::applicationUrl('bounce.php') ?>';" value="<?php echo _("Leave this session") ?>" />
  </td>
</tr>
</table>
<table>
<tr>
    <td align="left" class="light" nowrap="nowrap">
<?php
echo _("IP: ") . $_SESSION['rakim']['guest_remote_addrs'][$_SESSION['rakim']['guestNumber']] . '<br />';
$page = $_SESSION['rakim']['entry_pages'][$_SESSION['rakim']['guestNumber']];
echo _("Entry Page: ");
if (strstr('http', $page)) {
    echo Horde::link($page, $page, null, '_blank') . $page . '</a><br />';
} else {
    echo $page;
}
?>
    </td>
</tr>
</table>
</form>

<?php

require $registry->get('templates', 'horde') . '/common-footer.inc';
